View Issue Details

IDProjectCategoryView StatusLast Update
0002209FreeCADBugpublic2015-12-15 13:17
Reporterf3nixAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002209: Files that have a dot in name do not get the extension
DescriptionWhen saving or exporting a file that has a dot in the name the extension is not appended.

Steps To Reproduce1. Create new document.
2. Add a simple part.
3. Save the file under test.1 (it should get the fcstd extenstion)

--

4. Export the part as eg svg
5. Export it as test.1
6. The program wants to replace the first file.
Additional InformationOS: Debian GNU/Linux unstable (sid)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5334 (Git)
Build type: Release
Branch: master
Hash: 4f6a50ac271b74381a69f411983ba2758082573a
Python version: 2.7.10
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master b9865ed4

2015-09-13 21:25:18

wmayer

Details Diff
+ fixes 0002209: Files that have a dot in name do not get the extension Affected Issues
0002209
mod - src/Gui/FileDialog.cpp Diff File
mod - src/Gui/FileDialog.h Diff File

Issue History

Date Modified Username Field Change
2015-08-09 18:09 f3nix New Issue
2015-09-13 19:26 wmayer Changeset attached => FreeCAD Master master b9865ed4
2015-09-13 19:26 wmayer Assigned To => wmayer
2015-09-13 19:26 wmayer Status new => closed
2015-09-13 19:26 wmayer Resolution open => fixed
2015-12-15 13:17 yorik Fixed in Version => 0.16